Page MenuHomePhabricator

Add open-access links in Wikipedia by using an open-access resolver (eg Unpaywall's oaDOI or doai.io)
Closed, InvalidPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2017, 10:28 AM
Samwalton9 triaged this task as Low priority.Jun 5 2018, 12:38 PM
martin.monperrus closed this task as Resolved.Aug 31 2018, 10:38 AM
martin.monperrus claimed this task.
martin.monperrus added a subscriber: martin.monperrus.

Duplicate of T174540?

Something happened, I didn't mean to change this task' s status.

Samwalton9 reopened this task as Open.Aug 31 2018, 10:50 AM
Samwalton9 removed martin.monperrus as the assignee of this task.

This is normally addressed by the citation bot (https://en.wikipedia.org/wiki/User:Citation_bot), which "links to open access repositories" (bot operated by @Smith609).

However, given the large number of <ref> without open-access URLs (while one exists), it is unclear how often the citation bot goes through the pages.

Citation bot is currently activated by users, who keep an eye on its output; as such it is not yet processing large volumes of pages. The plan is to deploy it at a larger scale in the near future (next couple of months), at which point openURLs will start appearing more widely.

Good to know, thanks @Smith609

at which point openURLs will start appearing more widely.

That will be a major milestone for open-access and open-science.

Is there a way to trigger Citation Bot on a specific page?

https://tools.wmflabs.org/citations/ works! Thanks!

The conference papers are rewritten as 'cite book'. However, the OA URL points to the article itself
(and not to the whole proceedings).

As a result, the link to paper is on the proceedings name and not in the title.
For instance
"Proceedings of ISSTA, Demonstration Track"
https://hal.archives-ouvertes.fr/hal-01321615/file/astor.pdf points to "ASTOR: A Program Repair
Library for Java"
(on https://en.wikipedia.org/wiki/Automatic_bug_fixing)

This is confusing both for human readers and for search engines.

What would be good solutions to this problem?

I'd suggest popping a note on https://en.wikipedia.org/wiki/User_talk:Citation_bot, where the other maintainers (who have a little more time on their hands) will be able to look into the problem and suggest a solution.

For the record, OABot is also related to this task: https://en.wikipedia.org/wiki/Wikipedia:OABOT

martin.monperrus renamed this task from Integrate Unpaywall oaDOI links or dissem.in free-to-read users to Integrate open-access Unpaywall oaDOI links or dissem.in to point users to free-to-read papers.Sep 21 2018, 7:24 AM
martin.monperrus renamed this task from Integrate open-access Unpaywall oaDOI links or dissem.in to point users to free-to-read papers to Integrate open-access resolver to point users to free-to-read papers (eg Unpaywall's oaDOI).Oct 11 2018, 10:56 AM
martin.monperrus renamed this task from Integrate open-access resolver to point users to free-to-read papers (eg Unpaywall's oaDOI) to Add open-access links in Wikipedia by using an open-access resolver (eg Unpaywall's oaDOI or doai.io).Oct 25 2018, 4:59 PM

I confirm that citation-bot calls the oadoi API, and adds the corresponding links (see function get_open_access_url() in Template.php).

This means that once it will be massively deployed, we'll have plenty of open-access URLs popping up instead of no url or paywall urls.

Samwalton9 closed this task as Invalid.Jul 22 2019, 2:13 PM

This seems to have morphed away from the original task. Unpaywall is integrated in Library Card search, so closing this.